# Package org.eclipse.mat.parser.internal.oql.parser

Object Query Language (OQL) parser (not API).

Interface Summary
OQLParserConstants: Token literal values and constants.

Class Summary
OQLParser
OQLParserTokenManager: Token Manager.
SimpleCharStream: An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Token: Describes the input token stream.

Exception Summary
ParseException: This exception is thrown when parse errors are encountered.

Error Summary
TokenMgrError: Token Manager Error.